/*
 * Interface summary generation.
 *
 * Copyright (C) 2019 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

#include "types.h"

void show_interface(struct interface *iface);
void show_includes(struct include *inc);
void show_signatures(struct signature *sig);
void show_signature(struct signature *sig);
void show_attributes(struct attribute *attr);
void show_attribute(struct attribute *attr);
void show_parameters(struct parameter *param);
void show_parameter(struct parameter *param);
void show_identifiers(struct identifier *ident);
